Subject: Re: [PATCH v2 0/3] refs: cleanup code around optimizations

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 21 Oct 2025 07:16:36 +0200

On Mon, Oct 20, 2025 at 10:18:28AM +0200, Karthik Nayak wrote:
> This is extracted from a recent series I sent [1], which I've since
> dropped to follow up with a different approach. I think these patches
> hold value individually.
> 
> They mostly cleanup code around 'git refs optimize' which was added
> recently in db0babf9b2 (Merge branch 'ms/refs-optimize', 2025-10-02).
> The code in the refs subsystem contains both 'pack-refs' and 'optimize'
> functions, which are one and the same.
> 
> This series unifies this to only retain the 'optimize' functions and
> naming, since it backend generic.
> 
> This is based on top of master 143f58ef75 (Sync with Git 2.51.1,
> 2025-10-15) with 'ps/ref-peeled-tags' merged in.
> 
> [1]: 20251010-562-add-option[email-masked]
> 
> Signed-off-by: Karthik Nayak <[email-masked]>
> ---
> Changes in v2:
> - Squash the second commit into the first.
> - Change some variable names to also no longer refer to pack_refs.
> - Fix commit messages.
> - Link to v1: https://lore.kernel.org/r/[email-masked]

This version looks good to me. Thanks for all these cleanups!

Patrick